/*-----------------------------------------------

Name:     "CIG Annual Report 2025" master styles
Designer: Bohnsack Design
Date:     04-2026 v1.0

----------------------------------------------- */
/* ----------------------------------------------------------------------------------------------------------------- 
/////////////////////////////////////////////////////// Fonts //////////////////////////////////////////////////////
----------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------------------------------------------------------------------------------------- 
////////////////////////////////////////////////// LESS Variables //////////////////////////////////////////////////
----------------------------------------------------------------------------------------------------------------- */
/* white */
/* black */
/* blue */
/* light blue */
/* dark teal */
/* gray */
/* ----------------------------------------------------------------------------------------------------------------- 
////////////////////////////////////////////////// HTML5 Rules //////////////////////////////////////////////////
----------------------------------------------------------------------------------------------------------------- */
article,
aside,
button,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
summary {
  display: block;
}
audio,
canvas,
video {
  display: inline-block;
  *display: inline;
  *zoom: 1;
}
audio:not([controls]) {
  display: none;
}
[hidden] {
  display: none;
}
/* ----------------------------------------------------------------------------------------------------------------- 
////////////////////////////////////////////////// Site-Wide Styles //////////////////////////////////////////////////
----------------------------------------------------------------------------------------------------------------- */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: auto !important;
  /* Gotta have this for js smooth scroll to work, otherwise Bootstrap takes over and scroll is too fast */
}
body {
  font-family: 'myriad-pro', sans-serif;
}
/* Preloader container */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #ffffff;
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}
/* Spinner animation */
.loader {
  width: 60px;
  height: 60px;
  border: 6px solid #eee;
  border-top: 6px solid #0093d1;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
/* Navigation */
.navbar {
  position: fixed;
  top: 0;
  width: 100%;
  background: rgba(255, 255, 255, 0.8) !important;
  display: flex;
  justify-content: center;
  z-index: 10;
  text-transform: uppercase;
  font-size: 0.9em;
  letter-spacing: 1px;
  line-height: 1em;
  font-weight: 600;
  padding: 0;
}
.navbar ul {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin: 0;
}
.navbar ul li {
  list-style: none;
  border-left: 1px solid #a8cae4;
}
.navbar ul li:last-child {
  border-right: 1px solid #a8cae4;
}
.navbar ul li a {
  display: block;
  color: #0093d1;
  padding: 15px 25px;
  text-decoration: none;
}
.navbar a:hover {
  background-color: #ffffff;
}
.navbar-toggler {
  margin: 10px;
  border-radius: 0;
}
a {
  color: #0093d1;
}
a:hover {
  color: #000000;
}
.cig-logo {
  border-right: 1px solid #fff;
}
h1 {
  color: #0093d1;
  text-transform: uppercase;
  font-size: 2.5em;
  padding: 0;
  margin: 0;
  filter: drop-shadow(0px 0px 16px #ffffff);
}
.above-beyond {
  font-size: 5.5em;
  font-weight: 100;
  text-transform: uppercase;
  line-height: 0.75em;
}
.above-beyond span {
  font-weight: 700;
}
h2 {
  background-color: #0093d1;
  color: #ffffff;
  font-size: 3em;
  font-weight: 100;
  display: inline-block;
  margin: 45px 0 0 -22px;
  padding: 10px 20px 10px 70px;
}
h2 span {
  text-transform: uppercase;
  font-weight: 700;
}
h3 {
  font-weight: 100;
  font-size: 2.5em;
}
#achieving-new-heights h3 {
  font-size: 2em;
  color: #ffffff;
  margin-bottom: 30px;
}
h4 {
  color: #0093d1;
}
.btn {
  border: none;
  border-radius: 0;
  background-color: #0093d1;
  text-transform: uppercase;
  font-weight: 700;
  color: #000000;
}
.btn:hover {
  background-color: #000000;
}
.btn:active {
  background-color: #000000 !important;
}
.btn.btn-video {
  background: url("/images/bullet-video.png") no-repeat 10px 50% #0093d1;
  background-size: 50px;
  padding: 10px 15px 10px 70px;
  text-align: left;
  line-height: 1em;
  font-size: 1.2em;
}
.btn.btn-video:hover {
  background-color: #000000;
}
.btn.btn-video:active {
  background-color: #000000 !important;
}
.read-more .btn-read-more {
  background: url("/images/plus-minus.gif") no-repeat 10px 7px #0093d1;
  padding: 5px 15px 5px 35px;
  margin-bottom: 30px;
  transition: all 0.5s ease, transform 1s linear 0.5s;
}
.read-more .btn-read-more:hover {
  background-color: #000000;
}
.read-more .btn-read-more.open {
  background-position: 10px -73px;
}
.read-more > div {
  display: none;
}
.read-more > div.open {
  display: block;
}
.table tr td,
.table tr th {
  background: none;
  border-bottom: 1px solid #999999;
}
.toggles .btn-toggle {
  background: url("/images/plus-minus.gif") no-repeat 10px 10px #0093d1;
  padding: 5px 15px 5px 40px;
  margin-top: 10px;
  transition: all 0.5s ease, transform 1s linear 0.5s;
  display: block;
  text-align: left;
  text-decoration: none;
  color: #000000;
  font-size: 1.3em;
}
.toggles .btn-toggle:hover {
  background-color: #000000;
  cursor: pointer;
  color: #ffffff;
}
.toggles .btn-toggle.open {
  background-position: 8px -70px;
  background-color: #000000;
  color: #ffffff;
}
.toggles > div {
  display: none;
  padding: 30px;
  margin: 0;
  background-color: #ffffff;
  -webkit-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
  box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
}
.toggles > div.open {
  display: block;
}
hr {
  border-top: 1px solid #004c52;
}
hr.hr-thick {
  border-top: 4px solid #004c52;
}
.carousel-wrapper {
  display: flex;
  align-items: center;
}
.carousel-control-prev,
.carousel-control-next {
  position: relative;
  width: auto;
  opacity: 1;
}
.carousel-inner {
  margin-bottom: 30px;
}
#carousel1,
#carousel2 {
  flex-grow: 1;
}
.testimonials h5 {
  font-style: italic;
  font-size: 1.7em;
}
.white {
  background-color: rgba(255, 255, 255, 0.8);
}
.chart {
  border-radius: 10px;
}
/* Parallax container */
.parallax {
  position: relative;
}
.water-bg {
  background-image: url("/images/background-water.jpg");
  animation: scroll-bg 60s linear infinite;
}
@keyframes scroll-bg {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 627px -772px;
  }
}
/* Moving background */
.parallax-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 1000vh;
  background-image: url("/images/background-image.webp");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top center;
  will-change: transform;
}
.eagle1-container {
  position: absolute;
  left: 0%;
  right: 0%;
}
.eagle1 {
  max-width: 200px;
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -ms-transition: all 1s ease-in-out;
  -o-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
  animation: eagleTop linear;
  animation-timeline: scroll();
  /* animated based on scroll */
  animation-range: 0% 10%;
  /* whole page scroll */
}
.eagle1:hover {
  margin-top: -10px;
  margin-bottom: 10px;
}
.eagle2 {
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -ms-transition: all 1s ease-in-out;
  -o-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
  padding: 15px 0;
  filter: drop-shadow(8px 8px 16px rgba(0, 0, 0, 0.8));
  max-width: 200px;
}
.eagle2:hover {
  margin-top: -30px;
  margin-bottom: 30px;
  filter: drop-shadow(16px -8px 32px rgba(0, 0, 0, 0.8));
}
.eagle2-link {
  display: block;
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -ms-transition: all 1s ease-in-out;
  -o-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
}
.eagle2-link:hover {
  transform: scale(1.3);
}
.eagle3-container {
  position: absolute;
  left: 0;
  right: 0;
  z-index: 100;
}
.eagle3 {
  max-width: 200px;
  margin-bottom: -100px;
  transform: translateY(0px) translateX(-95px) scale(0.5);
  opacity: 0;
}
.eagle3.visible {
  animation: eagleBottom forwards ease-in-out 3s;
  animation-delay: 0.5s;
}
.pic-row {
  display: flex;
  gap: 10px;
}
.pic-row a {
  display: inline-flex;
  width: 100%;
}
.pic {
  width: 100%;
  height: 200px;
  object-fit: cover;
  object-position: top;
  margin: 0 0 10px 0;
  padding: 0;
}
.mfp-title {
  text-align: center;
}
.caption p {
  line-height: 1.1em;
  padding: 10px 0;
}
/* Panels */
.panel {
  min-height: 100vh;
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 100px;
}
.signature {
  max-width: 150px;
}
.award-caption {
  font-size: 0.8em;
  text-align: center;
  line-height: normal;
}
#home .container {
  min-height: 60vh;
}
#home.panel {
  padding-top: 0;
}
#achieving-new-heights {
  color: #ffffff;
  /*text-shadow: 0px 0px 20px rgba(0, 0, 0, 1);*/
}
#achieving-new-heights h3 {
  filter: drop-shadow(0px 0px 16px #000000);
}
#achieving-new-heights p {
  filter: drop-shadow(0px 0px 16px #000000);
}
#achieving-new-heights .cig-logo-bottom {
  filter: drop-shadow(0px 0px 16px #000000);
}
.award-logo {
  padding: 0 15px;
}
.number-callouts div {
  text-align: center;
}
.number-callouts h3 {
  color: #0093d1;
  font-weight: bold;
  margin-bottom: 0;
}
.officers {
  column-count: 4;
  font-size: 0.9em;
}
.officers a {
  font-weight: bold;
}
.officers p {
  padding: 5px 0 5px 22px;
  margin: 0;
  break-inside: avoid-column;
  page-break-inside: avoid;
  line-height: normal;
}
.link-linkedin {
  background: url("/images/icon-linkedin.svg") no-repeat 0% 100% / 15px;
  padding: 0 0 0 18px;
  margin-left: -18px;
}
.link-email {
  background: url("/images/icon-email.svg") no-repeat 0% 100% / 15px;
  padding: 0 0 0 18px;
  margin-left: -18px;
}
.cig-logo-bottom {
  width: 250px;
  padding-bottom: 30px;
}
.social-links {
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  margin-bottom: 50px;
}
.social-links a {
  display: inline-block;
  width: 40px;
  opacity: 0.7;
  margin: 15px 5px;
}
.social-links a:hover {
  opacity: 1;
}
.social-links a img {
  border-radius: 50px;
}
/* ---------- nav tabs ----------- */
.nav-tabs {
  border-bottom: 4px solid #0093d1;
}
.nav-tabs .nav-link {
  border: none;
  background-color: #000000;
  margin: 4px 4px 0 0;
  color: #ffffff;
}
.nav-tabs .nav-link:hover {
  background-color: #0093d1;
}
.nav-tabs .nav-link.active {
  border: none;
  background-color: #0093d1;
}
nav.sticky-top {
  top: 50px;
}
.tab-pane {
  background-color: #ffffff;
  padding: 30px;
}
.download-btn {
  position: fixed;
  bottom: 0;
  right: 20px;
  z-index: 100;
}
.download-btn a {
  display: inline-block;
  background: url("/images/bullet-pdf.png") #0093d1 5px 50% / 20px no-repeat;
  text-decoration: none;
  color: #000000;
  padding: 5px 10px 5px 30px;
  border-radius: 10px 10px 0 0;
}
.download-btn a:hover {
  background-color: #000000;
  color: #ffffff;
}
/* ---------------------------------------------------------------------------------------------------------------- 
////////////////////////////////////////////////// Media Queries //////////////////////////////////////////////////
---------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------------------- 
//////////////////////////////////////////////////
Desktop (xl)
//////////////////////////////////////////////////
----------------------------------------------- */
@media only screen and (max-width: 1200px) {
  /*header:before {content:"Desktop (xl)"; background-color:#C2C2C2; position:fixed; bottom:0; z-index: 1000;} /* display test */
  @keyframes eagleBottom {
    0% {
      transform: translateY(0px) translateX(-95px) scale(0.5);
      opacity: 0;
    }
    25% {
      opacity: 1;
    }
    100% {
      transform: translateY(-90px) translateX(0px) scale(1);
      opacity: 1;
    }
  }
}
/* ----------------------------------------------- 
//////////////////////////////////////////////////
Laptop (lg)
//////////////////////////////////////////////////
----------------------------------------------- */
@media only screen and (max-width: 992px) {
  /*header:before {content:"Laptop (lg)"; background-color:#C2C2C2; position:fixed; bottom:0; z-index: 1000;} /* display test */
  .pic {
    height: 100px;
  }
}
/* ----------------------------------------------- 
//////////////////////////////////////////////////
Tablet (md)
//////////////////////////////////////////////////
----------------------------------------------- */
@media only screen and (max-width: 768px) {
  /*header:before {content:"Tablet(md)"; background-color:#C2C2C2; position:fixed; bottom:0; z-index: 1000;} /* display test */
  .navbar ul {
    padding: 10px;
  }
  .navbar ul li {
    width: 100%;
    border-left: none;
    border-top: 1px solid #a8cae4;
  }
  .navbar ul li:last-child {
    border-right: none;
  }
  .cig-logo {
    border-right: none;
  }
  .cig-logo img {
    max-width: 150px;
  }
  h1 {
    font-size: 1.5em;
    text-align: center;
  }
  .above-beyond {
    font-size: 3.7em;
    line-height: 0.75em;
    text-align: center;
  }
  h2 {
    font-size: 2.5em;
    margin: 25px 0 0 -22px;
    padding: 10px 20px 10px 40px;
  }
  h3 {
    font-size: 2em;
  }
  #achieving-new-heights h3 {
    font-size: 2em;
  }
  .pic-row {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
  }
  .pic-row a {
    display: inline-flex;
    width: 47%;
  }
  .pic {
    height: 150px;
  }
  .what-agents-say {
    padding-top: 30px;
  }
  .officers {
    column-count: 3;
  }
}
/* ----------------------------------------------- 
//////////////////////////////////////////////////
Phone (sm)
//////////////////////////////////////////////////
----------------------------------------------- */
@media only screen and (max-width: 576px) {
  /*header:before {content:"Phone(sm)"; background-color:#C2C2C2; position:fixed; bottom:0; z-index: 1000;} /* display test */
  body {
    font-size: 0.9em;
  }
  h2 {
    font-size: 2em;
  }
  .award-logo {
    padding: 0 45px;
  }
  .officers {
    column-count: 2;
  }
  /* Panels */
  .panel {
    margin: 0 30px;
  }
  .nav-tabs .nav-link {
    width: 100%;
  }
  @keyframes eagleTop {
    0% {
      -webkit-transform: translateY(0px) scale(1);
      /* Safari and older Chrome/iOS */
      -moz-transform: translateY(0px) scale(1);
      /* Firefox (optional) */
      -ms-transform: translateY(0px) scale(1);
      /* Internet Explorer (optional) */
      -o-transform: translateY(0px) scale(1);
      transform: translateY(0px) scale(1);
    }
    100% {
      -webkit-transform: translateY(-250px) scale(1);
      /* Safari and older Chrome/iOS */
      -moz-transform: translateY(-250px) scale(1);
      /* Firefox (optional) */
      -ms-transform: translateY(-250px) scale(1);
      /* Internet Explorer (optional) */
      -o-transform: translateY(-250px) scale(1);
      transform: translateY(-250px) scale(1);
    }
  }
}
/* Safari Hacks */
@supports (hanging-punctuation: first) and (font: -apple-system-body) and (-webkit-appearance: none) {
  /* CSS specific to Safari */
  .parallax {
    overflow: hidden;
  }
}
